{
  {% if cluster.hypervisor == "zen" %}
  "xs_master_label": "{{ xs_master_label }}",
  "xen_config_type": "{{ xen_config_type }}",
  "xs_master_username": "{{ xs_master_username }}",
  "xs_master_password": "{{ xs_master_password }}",
  "xs_master_ip": "{{ xs_master_ip | ipv4 }}",
  {% endif %}
  {% if cluster.hypervisor == "hyperv" %}
  "hyperv_external_vnic": "{{ hyperv_external_vnic }}",
  "hyperv_product_key": "{{ hyperv_product_key }}",
  "hyperv_external_vswitch": "{{ hyperv_external_vswitch }}",
  "hyperv_sku": "{{ hyperv_sku }}",
  {% endif %}
  {% if cluster.hw_platform == "cisco" %}
  "ucsm_ip": "{{ cluster.ucsm_ip | ipv4 }}",
  "ucsm_user": "{{ cluster.ucsm_user }}",
  "ucsm_password": "{{ cluster.ucsm_password }}",
  {% endif %}
  "hypervisor_netmask": "{{ cluster.hypervisor_netmask | ipv4 }}",
  "hypervisor_gateway": "{{ cluster.hypervisor_gateway | ipv4 }}",
  "cvm_netmask": "{{ cluster.cvm_netmask | ipv4 }}",
  "cvm_gateway": "{{ cluster.cvm_gateway | ipv4 }}",
  "ipmi_netmask": "{{ cluster.ipmi_netmask | ipv4 }}",
  "ipmi_gateway": "{{ cluster.ipmi_gateway | ipv4 }}",
  "hypervisor_nameserver": "{{ cluster.dns_servers[0] | ipv4 }}",
  {% if cluster.cvm_vlan|default(default_cvm_vlan) != 0  %}
  "current_cvm_vlan_tag": "{{ cluster.cvm_vlan }}",
  {% endif %}
#  "ssh_key": "string",
#  "install_script": "string",
#  "hypervisor_password": "string",
#  "unc_username": "string",
#  "unc_password": "string",
#  "unc_path": "string",
  "rdma_passthrough": {{ cluster.rdma_passthrough|default(default_rdma_passthrough) }},
  "skip_hypervisor": false,
  {% for aos in foundation_aos %}
  {% if aos.version == cluster.aos_version %}
  "nos_package": "{{ foundation_aos_dir }}/{{ aos.filename }}",
  {% endif %}
  {% endfor %}
  {% if cluster.hypervisor != "ahv" %}
  {% for hypervisor in foundation_hypervisors %}
  {% if hypervisor.type == cluster.hypervisor and hypervisor.version == cluster.hypervisor_version %}
  "hypervisor": "{{ hypervisor.type }}",
  "hypervisor_iso": {
    "{{ hypervisor.type }}": {
      "checksum": "{{ hypervisor.checksum }}",
      "filename": "{{ foundation_hypervisor_dir }}/{{ hypervisor.type }}/{{ hypervisor.filename }}"
    }
  },
  {% endif %}
  {% endfor %}
  {% else %}
  "hypervisor": "kvm",
  "hypervisor_iso": {
    "kvm": {
      "filename": ""
    }
  },
  {% endif %}
#  "fc_settings": {
#    "fc_metadata": {
#      "fc_ip": "string",
#      "api_key": "string"
#    },
#    "foundation_central": true
#  },
#  "eos_metadata": {
#    "config_id": "string",
#    "account_name": [
#      "string"
#    ],
#    "email": "string (email)"
#  },
  "clusters": [
  {% if cluster.create_cluster|default(default_create_cluster) == true %}
  {
    {% if cluster.enable_ns|default(default_enable_ns) == true %}
    "enable_ns": {{ cluster.enable_ns }},
    "backplane_subnet": "{{ cluster.backplane_subnet | ipv4 }}",
    "backplane_netmask": "{{ cluster.backplane_netmask | ipv4 }}",
    "backplane_vlan": "{{ cluster.backplane_vlan }}",
    {% endif %}
    "redundancy_factor": {{ cluster.redundancy_factor|default(default_redundancy_factor) }},
    "cluster_name": "{{ cluster.name }}",
    "cluster_external_ip": "{{ cluster.cluster_ip | ipv4 }}",
    "single_node_cluster": {{ cluster.single_node_cluster|default(default_single_node_cluster) }},
    "cluster_members": [{% for block in cluster.blocks %}{% for node in block.nodes %}"{{ node.cvm_ip | ipv4 }}"{% if not loop.last %},{% endif %}{% endfor %}{% if not loop.last %},{% endif %}{% endfor %}],
    "timezone": "{{ cluster.timezone }}",
    "cluster_init_now": true,
#  "hypervisor_ntp_servers": {% for item in cluster.ntp_servers %}"{{ item | ipv4 }}"{% if not loop.last %},{% endif %}{% endfor %}],
#  "cvm_ntp_servers": {% for item in cluster.ntp_servers %}"{{ item | ipv4 }}"{% if not loop.last %},{% endif %}{% endfor %}],
#  "cvm_dns_servers": "[{% for item in cluster.dns_servers %}'{{ item | ipv4 }}'{% if not loop.last %},{% endif %}{% endfor %}]",
  "hypervisor_ntp_servers": "{{ cluster.ntp_servers }}",
  "cvm_ntp_servers": "{{ cluster.ntp_servers }}",
#  "cvm_dns_servers": "{{ cluster.dns_servers }}",
  }
  {% endif %}
  ],
  "blocks": [
  {% for block in cluster.blocks %}
  {
    "nodes": [
      {% for node in block.nodes %}
      {
        "ipmi_user": "{{ ipmi_user }}",
        "ipmi_password": "{{ ipmi_password }}",
        "ipmi_configure_now": true,
        "is_selected": true,
        "is_bare_metal": true,
        "ipv6_address": null,
        "node_position": "{{ node.position|default(default_node_position) }}",
        "image_delay": {{ block.image_delay|default(default_image_delay) }},
        {% if cluster.hw_platform == "cisco" %}
        "ucsm_node_serial": "{{ node.ucsm_node_serial }}",
#        "ucsm_managed_mode": "string",
        "ucsm_params": {
          "native_vlan": {{ node.ucsm_native_vlan }},
          "keep_ucsm_settings": {{ node.ucsm_keep_ucsm_settings }},
          "mac_pool": "{{ node.ucsm_mac_pool }}",
          "vlan_name": "{{ node.ucsm_vlan_name }}"
        },
        {% endif %}
        "hypervisor_hostname": "{{ node.hostname }}",
        {% if cluster.cvm_memory|default(default_cvm_memory) %}
        "cvm_gb_ram": {{ cluster.cvm_memory }},
        {% endif %}
        "hypervisor_ip": "{{ node.hypervisor_ip | ipv4 }}",
        {% if node.node_serial|default(default_node_serial) %}
        "node_serial": "{{ node.node_serial }},"
        {% else %}
        "node_serial": null,
        {% endif %}
        "ipv6_interface": null,
        {% if cluster.cvm_vcpus|default(default_cvm_vcpus) %}
        "cvm_num_vcpus": {{ cluster.cvm_vcpus }},
        {% endif %}
        {% if node.ipmi_mac|default(default_ipmi_mac) %}
        "ipmi_mac": "{{ node.ipmi_mac }}",
        {% else %}
        "ipmi_mac": null,
        {% endif %}
#        "current_network_interface": "string",
        {% if cluster.hypervisor != "ahv" %}
        "hypervisor": "{{ cluster.hypervisor }}",
        {% else %}
#        "hypervisor": "kvm",
        {% endif %}
        #"bond_lacp_rate": "string",
        "image_now": true,
        "ipmi_ip": "{{ node.ipmi_ip | ipv4 }}",
        "cvm_ip": "{{ node.cvm_ip | ipv4 }}",
#        "exclude_boot_serial": "string",
#        "mitigate_low_boot_space": true,
        {% if node.compute_only|default(default_compute_only) == true %}
        "compute_only": {{ node.compute_only|default(default_compute_only) }},
        {% endif %}
      },
      {% endfor %}
    ],
    {% if block.block_serial|default(default_block_serial) %}
    "block_id": "{{ block.block_serial }}"
    {% else %}
    "block_id": null
    {% endif %}
  },
  {% endfor %}
  ],
    "tests": {
    "run_syscheck": {{ default_run_ncc }},
    "run_ncc": {{ default_run_syscheck }}
  }
}
